Subject: Re: bug#75672: 31.0.50; scratch/igc memory usage/collection issues

From: Alexis Purslane <[email-masked]>
Date: Mon, 20 Jan 2025 02:34:11 +0000

> We're working on fixing some GTK memory leaks in bug#75636; it's
> possible those are partially responsible for growing memory usage.

I rebuilt Emacs with lucid instead of GTK just for the hell of it, and
it's still exhibiting exorbitant monotonicly increasing memory usage, so
I don't think it's GTK. I've had one Emacs open for about two hours,
just with GNUS open in it, doing nothing, on another workspace, and it's
using 533MB. The one I'm using for messing around with SLY and Common
Lisp is using 1.5GB currently, and I've seen it reach similar hights
without an inferior lisp running so I don't think it's that. Still
waiting for a freeze to happen again to attach GDB to it.